/* setup */
@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@100..900&family=Urbanist:ital,wght@0,100..900;1,100..900&display=swap');

:root {
  --main1: rgb(168, 213, 186);
  --main1-dark: rgb(91, 110, 99);
  --main1-darker:rgb(18, 33, 24);
  --highlight: rgb(91, 255, 156);
  --highlight-darker: rgb(32, 167, 86);
  --highlight-brighter: rgb(212, 255, 229);
  --highlight-brighterr:rgb(253, 254, 255);
  --sweeten: rgb(26, 207, 98);
  --footer-color: black;
  
  --deep: black;
  --shallow: white;

  --main1-op: rgb(168, 213, 186, .8);
  --white-op: rgb(255,255,255,.8);
  --deep-op: rgb(0,0,0,.25);
}
*{
  font-family: "Lexend", sans-serif;
}

::selection {
  color: white;
  background: var(--sweeten);
}

a{
  text-decoration: none;
}

body, h1, h2, h3, h4, p{
  margin: 0;
}

.numType{
  font-family: sans-serif;
}

.current{
  display: flex !important;
}

.reserve{
  display: none !important;
}

@keyframes fadeInLeft {
	from {
		opacity: 0;
		transform: translateX(-150px);
	}

	to {
		opacity: 1;
		transform: translateX(0);
	}
}

@keyframes fadeOutLeft {
	from {
		opacity: 1;
		transform: translateX(0);
	}
  to {
		opacity: 0;
		transform: translateX(-150px);
	}
}

@keyframes fadeInRight {
	from {
		opacity: 0;
		transform: translateX(150px);
	}

	to {
		opacity: 1;
		transform: translateX(0);
	}
}

@keyframes fadeOutRight {
  from {
		opacity: 1;
		transform: translateX(0);
	}
	to {
		opacity: 0;
		transform: translateX(150px);
	}
}

@keyframes fadeInTop {
	from {
		transform: translateY(-100px);
		opacity: 0;
	}

	to {
		opacity: 1;
		transform: translateY(0);
	}
}

@keyframes fadeInSimple {
	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}
}

@keyframes moveUnder {
	from {
		opacity: 1;
	}

	to {
    transform: translateY(400px);
		opacity: 0;
	}
}

@keyframes moveOver {
	from {
    transform: translateY(400px);
		opacity: 0;
	}

	to {
    transform: translateY(0);
		opacity: 1;
	}
}

@keyframes loadingRotation {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(360deg);
	}
}

/* .welcomeSection{
  background: linear-gradient( rgb(0, 0, 0, 0.75), rgb(71, 6, 114) );
} */

.inViewAnimation{
  animation: fadeInLeft 1.5s;
}

.mainButton, .secondaryButton, .tertiaryButton{
	z-index: 99;
	width: 190px;
	display: flex;
	justify-content: center;
	align-items: center;
	background: var(--highlight-darker);
	height: 50px;
	transition: all .3s;
	cursor: pointer;
  border-radius: 30px;
  border: 3px solid var(--highlight-darker);
}

.specsButton{
  z-index: 99;
  font-size: 11px;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	background: var(--highlight-darker);
	height: 30px;
	transition: all .3s;
	cursor: pointer;
  border-radius: 30px;
  border: 3px solid var(--highlight-darker);
}

.secondaryButton{
	background: transparent;
}

.tertiaryButton{
	background: var(--darken-hl);
  border: 3px solid var(--darken-hl);
}

.mainButton span, .secondaryButton span, .tertiaryButton span{
	color: var(--shallow) !important;
	font-weight: 600 !important;
	transition: all .3s;
	font-size: 17.5px;
	user-select: none;
  display: flex;
  align-items: center;
}

.specsButton span{
	color: var(--shallow) !important;
	font-weight: 600 !important;
	transition: all .3s;
	font-size: 17.5px;
	user-select: none;
  display: flex;
  align-items: center;
}

.secondaryButton span{
  color: var(--shallow);
}

.tertiaryButton span{
  color: var(--shallow);
}

.mainButton:hover, .secondaryButton:hover, .tertiaryButton:hover{
	background-color: var(--main1-dark);
	height: 60px;
	width: 200px;
  border: 3px solid var(--highlight);
}

.specsButton:hover{
	background-color: var(--main1-dark);
	height: 35px;
	width: 100%;
  border: 3px solid var(--highlight);
}

.mainButton:hover>span, .secondaryButton:hover>span, .tertiaryButton:hover>span, .secondaryButton:hover>span span, .tertiaryButton:hover>span{
	color: var(--highlight-brighter) !important;
	font-size: 22px;
}

.specsButton:hover>span{
	color: var(--highlight-brighter) !important;
	font-size: 22px;
}

#backToTop{
  align-items: center;
  position: fixed;
  background-color: var(--highlight-darker);
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  border-radius: 5px;
  right: 50;
  cursor: pointer;
  bottom: 50;
  transition: all .3s;
}

#backToTop span{
  color: var(--shallow);
  font-weight: 500;
  font-size: 20px;
  transition: all .3s;
}

#backToTop:hover{
  width: 32px;
  height: 32px;
  box-shadow: 1px 1px white;
}

#backToTop:hover > span{
  font-weight: 700;
  font-size: 22px;
}

.disabledButton{
  pointer-events: none;
  filter: brightness(0.5);
}

/* nav */

nav{
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 100%;
  z-index: 999;
  animation: fadeInTop 1.5s;
  /* border-bottom: 1px solid var(--secondary-color); */
}

.navbar{
  display: flex;
}

.navbar a{
  color: white;
  transition: all .3s;
  font-size: 21px;
  font-weight: 500;
  margin: 0px 10px;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.navbar a:hover{
  color: var(--highlight-brighter);
  font-size: 22px;
}

#languageMenu{
  display: flex;
  flex-direction: column;
  position: absolute;
  right: 17px;
  top: 70px;
  background: white;
  padding: 10px;
  justify-content: space-between;
  animation: fadeInRight .5s;
  border-radius: 5px;
}

#languageMenu span{
  font-weight: 600;
  cursor: pointer;
}

#languageMenu a{
  color: black;
}

#languageMenu a:hover{
  color: var(--highlight-darker);
}

#serviceMenu{
  display: flex;
  flex-direction: column;
  position: absolute;
  right: 550px;
  top: 70px;
  background: var(--main1);
  padding: 10px;
  justify-content: space-between;
  animation: fadeInTop .5s;
  transition: all .3s;
}

#serviceMenu span{
  font-weight: 500;
  cursor: pointer;
  transition: all .3s;
}

#serviceMenu a{
  color: white;
  transition: all .3s;
  font-size: 20px;
  margin: 10px 10px;
}

#serviceMenu a:hover{
  color: white;
  padding-left: 5px;
  font-size: 20px;
  border-left: 1px solid white;
}

.logo{
  height: 50%;
  padding-left: 30px;
  transition: all .3s;
}

.logo:hover{
  transform: scale(1.1);
  filter: brightness(130%);
}


/* home / fooldal / otthon PAGE*/

.welcomeSection{
  width: 100%;
  display: flex;
  justify-content: center;
  margin-bottom: 200px;
}

.welcomeSection img{
  width: 100%;
  object-fit: cover;
  position: fixed;
  z-index: -100;
}

.welcomeText{
  z-index: 99;
  padding: 300px 0px 250px 0px;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.welcomeText h1{
  font-size: 70px;
  font-weight: 700;
  animation: fadeInLeft 1.5s;
}

.welcomeText h3{
  font-size: 40px;
  font-weight: 500;
  animation: fadeInRight 1.5s;
}

.welcomeText h4{
  font-size: 25px;
  font-weight: 200;
  font-style: italic;
  animation: moveOver 1.5s;
}

.ctaSection{
  display: grid;
  grid-template-columns: repeat(2,.1fr);
  gap: 20px;
  animation: fadeInSimple 1.5s;
  margin-top: 50px;
}

.ctaSectionFlex{
  display: flex;
  align-items: center;
  gap: 20px;
}

.shortAboutWrap{
  display: flex;
  flex-direction: column;
  background: var(--dark-gray);
  color: white;
  padding: 50px 0px;
  align-items: center;
}

.opaquebg{
  background: var(--dark-gray-op);
}

.shortAbout{
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 90%;
}

.homeDescription{
  width: 40%;
  animation: fadeInLeft 1s;
}

.homeDescription h2{
  font-size: 50px;
  border-bottom: 3px solid white;
  padding: 0px 0px 10px 0px;
  margin: 0px 0px 50px 0px;
}

.homeDescription p{
  margin-top: 20px;
  font-weight: 300;
  text-align: justify;
}

.homeDescription p:nth-child(1){
  animation: fadeInLeft .5s;
}
.homeDescription p:nth-child(2){
  animation: fadeInLeft 1s;
}
.homeDescription p:nth-child(3){
  animation: fadeInLeft 1.5s;
}
.homeDescription p:nth-child(4){
  animation: fadeInLeft 2s;
}
.homeDescription p:nth-child(5){
  animation: fadeInLeft 2.5s;
}

.homeDescriptionLogo{
  width: 40%;
  display: flex;
  justify-content: center;
  transition: all 1s;
  animation: fadeInRight 1s;
}

.homeDescriptionLogo:hover{
  transform: scale(1.2);
}

.homeDescription h3{
  font-size: 35px;
  width: fit-content;
}

.homeDescription h4{
  margin: 5px 0px 50px 0px;
  color: white;
  font-weight: 400;
  font-size: 20px;
}

.dealign{
  align-items: start !important;
}

.aboutCta{
  margin: 30px 0px;
  display: flex;
  align-items: center;
}

.aboutCta .material-symbols-outlined{
  color: white;
  font-size: 40px;
}

.aboutCta img{
  width: 60px;
  margin-right: 20px;
  transition: all .3s;
}

.aboutCta img:hover{
  width: 70px;
}

.aboutCta div span{
  font-weight: 700;
  font-size: 30px;
  color: white;
}

.homeDescription .mainButton span{
  font-weight: 600;
  font-size: 15px;
}

.homeDescription .mainButton:hover>span {
  font-size: 17px;
}

/* service tab */

.serviceWrapper{
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.serviceWrapper h2{
  font-size: 50px;
  border-bottom: 3px solid white;
  padding: 50px 0px 30px 0px;
}

.serviceWrapper p{
  font-weight: 600;
  font-size: 17px;
  margin-bottom: 30px;
  text-align: justify;
}

.services-container {
	width: 100%;
	margin: 50px 0px;
	display: flex;
	justify-content: space-around;
	text-align: center;
	align-items: center;
}

.service {
	width: 22.5%;
	background: var(--main-color);
	display: flex;
	flex-direction: column;
	align-items: center;
	transition: all 0.3s;
	cursor: pointer;
  min-height: 500px;
}

.service:hover {
	transform: translateX(-20px) translateY(-20px);
  box-shadow: 20px 20px white;
}

.service img{
  object-fit: cover;
  width: 100%;
  height: 200px;
}

.service h3{
  color: white;
  padding: 22px 0px 5px 0px;
  margin-bottom: 10px;
  font-size: 25px;
  font-weight: 900;
  text-transform: uppercase;
  border-bottom: 3px solid black;
  transition: all 1s;
}

.service-list{
  flex-direction: column;
  justify-content: center;
  display: flex;
  align-items: center;
  text-align: center;
  width: 80%;
}

.service span{
  color: white;
  padding: 10px;
  font-size: 15px;
  font-weight: 500;
}

.service p{
  margin-top: 30px;
  font-weight: 800;
  font-size: 20px;  
  color: white;
  transition: all 1s;
  padding: 3px 12px;
}

.service:hover > .service-list p {
  border: 1px solid white;
}
.service:hover > h3 {
  border-bottom: 3px solid white;
}

.serviceSwiper{
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between;
}

.serviceSwiper .material-symbols-outlined{
  font-size: 50px;
  cursor: pointer;
  transition: all .3s;
}

.serviceSwiper .material-symbols-outlined:hover{
  font-size: 52px;
  filter: drop-shadow(1px 1px 5px white);
  user-select: none;
}


/* details tab */

.detailsWrap{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 75px 0px;
}

.detailsWrap h2{
  font-size: 40px;
  color: white;
  font-weight: 800;
}

.detailsWrap span{
  font-size: 20px;
  color: white;
  font-weight: 300;
}

.details{
  display: flex;
  justify-content: space-between;
  width: 80%;
  margin: 50px 0px 0px 0px;
}

.details div{
  text-align: center;
}

.details h3{
  color: black;
  font-size: 45px;
}

.details span{
  font-size: 25px;
  font-weight: 600;
}


/* about / rolunk PAGE */
.secondaryWelcome{
  width: 100%;
  display: flex;
}

.secondaryWelcome img{
  width: 100%;
  object-fit: cover;
  position: fixed;
  filter: contrast(.75) grayscale(.4) brightness(.8);
  z-index: -100;
  object-position: 0px -250px;
}

.secWelcomeText{
  z-index: 99;
  padding: 300px 0px 50px 150px;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.secWelcomeText h1{
  font-size: 70px;
  font-weight: 700;
  animation: fadeInLeft 1.5s;
}

.secWelcomeText h3{
  font-size: 40px;
  font-weight: 300;
  animation: fadeInRight 1.5s;
}

.valuesWrap{
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 50px 0px;
}

.valuesWrap h2{
  width: 80%;
  font-size: 50px;
  border-bottom: 3px solid var(--secondary-color);
  padding: 0px 0px 30px 0px;
  color: var(--secondary-color);
}

.valuesTab{
  width: 80%;
  margin: 40px 0px;
}

.valueRow{
  display: flex;
  justify-content: space-between;
}

.value {
  width: 33%;
  height: 475px;
  background: var(--secondary-color);
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: all 1s;
}

.value:hover {
  transform: scale(1.02);
}

.value img{
  width: 100%;
}

.value h3{
  color: var(--main-color);
  margin: 20px 0px;
  font-size: 30px;
}

.value p{
  color: var(--main-color);
  width: 80%;
  text-align: justify;
  font-weight: 300;
  font-style: italic;
}

/* services / szolgaltatasok PAGE */
.secondaryWelcome .serviceBg{
  object-position: 0px -80px;
}

.serviceLeft{
  color: white;
}

.serviceRight{
  color: white;
}

.serviceLeft, .serviceRight{
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 40px 0px;
  margin: 0px 0px 60px 0px;
}

.serviceLeft .serviceDescWrap{
  display: flex;
}

.serviceRight .serviceDescWrap{
  display: flex;
  flex-direction: row-reverse;
}

.serviceDescImg{
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.serviceDescImg a{
  display: flex;
  justify-content: center;
  align-items: center;
}

.serviceDescImg span{
  color: white; 
  position: absolute;
  font-weight: 700;
  font-size: 30px;
  transition: all 1s;
  opacity: 0;
}

.serviceDescImg:hover a img, .serviceDescImg:hover img {
  filter: blur(10px);
}

.serviceDescImg:hover a span, .serviceDescImg:hover span{
  opacity: 1;
}

.serviceDescWrap{
  width: 100%;
  padding: 40px 0px;
}

.serviceDescWrap img{
  width: 80%;
  display: flex;
  justify-content: center;
  transition: all 1s;
}

.serviceLeft h2, .serviceRight h2{
  width: fit-content;
  font-size: 50px;
  padding: 0px 0px 30px 0px;
}

.serviceLeft h2{
  color: white;
  border-bottom: 3px solid white;
}

.serviceRight h2{
  color: var(--main-color);
  border-bottom: 3px solid var(--main-color);
}

.serviceDescription{
  width: 40%;
}

.serviceRight h3{
  font-size: 35px;
  border-bottom: 3px solid white;
}
.serviceLeft h3{
  font-size: 35px;
  border-bottom: 3px solid white;
}

.serviceDescription p{
  font-size: 20px;
  margin: 20px 0px;
  text-align: justify;
}

/* products / termekek PAGE */
.secondaryWelcome .productsBg{
  object-position: 0px -80px;
}

#macroInputsWrapSpecs{
  max-height: 70vh;
  overflow-y: scroll;
}

/* projects / projektek PAGE */
.secondaryWelcome .projectsBg{
  object-position: 0px -130px;
}

.smallGallery{
  display: grid;
  grid-template-columns: repeat(3, .4fr);
  width: 100%;
  gap: 20px
}

.smallGallery img{
  width: 100%;
  cursor: pointer;
}

.smallGallery img:hover{
  transform: scale(1.1);
}

.miniNavWrap{
  display: flex;
  justify-content: center;
  margin-bottom: 30px;
}

.miniNav{
  display: flex;
  justify-content: space-around;
  width: 90%;
  border-radius: 40px;
  border-bottom: 1px solid var(--main-color);
}

.miniNav h3{
  color: var(--main-color);
  font-size: 25px;
  margin: 15px 0px;
  transition: all .3s;
  cursor: pointer;
  user-select: none;
}

.miniNav .selectedMininav{
  color: white;
}

.miniNav h3:hover{
  color: white;
}

.unselectService{
  animation: moveUnder 1s;
}

.selectService{
  animation: moveOver 1s;
}

.projectsWrapper{
  flex-direction: column;
}

/* contact / kapcsolat PAGE */
.secondaryWelcome .contactBg{
  object-position: 0px -80px;
}

.contactForm{
  display: flex;
  flex-direction: column;
  padding: 20px 0px;
}

.contactForm label{
  color: white;
  font-size: 25px;
  margin-top: 10px;
}

.contactForm input{
  height: 40px;
  width: 500px;
  font-weight: 600;
  font-size: 17.5px;
  padding-left: 15px;
}

.contactForm .message{
  height: 150px;
  width: 500px;
  font-weight: 600;
  font-size: 15px;
  padding: 15px;
}

/* gallery css */
.modal {
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: all 0.3s;
}

.modal .exit{
  width: 90%;
  display: flex;
  justify-content: end;
}

.modal-content {
  max-width: 80%;
  max-height: 80%;
}

#close {
  color: #ffffff;
  background-color: rgba(255, 255, 255, 0.3);
  font-size: 28px;
  font-weight: bold;
  padding: 5px 13px 5px 13px;
  border-radius: 50%;
  cursor: pointer;
  transition: all .3s;
  right: 0;
}

#close:hover{
  color: black;
}

#largeGallery{
  display: grid;
  grid-template-columns: repeat(4, 300px);
  gap: 20px;
}

#largeGallery img{
  width: 100%;
  cursor: pointer;
  transition: all .3s;
}

#largeGallery img:hover{
  transform: scale(1.05);
}

/* Carousel */
.slideshow{
  display: flex;
  justify-content: space-around;
  width: 100%;
}

.slideshow .slide{
  transition: all .3s;
  display: flex;
  justify-content: center;
}

.slideshow .slide img{
  width: 50vw;
}

.carouselWrap{
  display: flex;
  justify-content: center;
  width: 90%;
}

#prev, #next {
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  color: white;
  font-weight: bold;
  font-size: 60px;
  transition: all 0.6s;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

#prev:hover, #next:hover {
  color: #777;
}

.slideshow-dots{
  margin-top: 30px;
  display: flex;
}

.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 5px;
  background-color: #bbb;
  border-radius: 50%;
  transition: all 0.1s;
}

.currentDot{
  background-color: #444;
}

.dot:hover {
  background-color: #444;
}

/* contact */
.contactWrap{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 50px 0px 100px 0px;
  animation: moveOver 1s;

}

.contact{
  display: flex;
  justify-content: space-around;
  width: 70%;
}

.contact a{
  width: 5%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;
  text-align: center;
}

.contact a img, .contact a span{
  transition: all .3s;
  width: 100%;
}

.contact a span{
  font-size: 50px;
}

.contact a:hover{
  font-weight: 800;
}

.contact a:hover > img, .contact a:hover > span{
  transform: scale(1.2);
  filter: drop-shadow(1px 1px 5px white);
}

.contact a p{
  position: absolute;
  font-size: 25px;
  margin-top: 100px;
}

.contact img{
  position: relative;
  filter: none;
  z-index: 1;
}

.pageViews{
  display: flex;
  justify-content: center;
  align-items: center;
}

.pageViews img{
  width: 10%;
}

.pageViews span{
  font-size: 30px;
  font-weight: 500;
}

/* partners / partnerek */
.service a{
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.service a:hover > .service-list p {
  border: 1px solid white;
}
.service a:hover > h3 {
  border-bottom: 3px solid white;
}

.fol{
  animation: fadeOutLeft 1s;
}

.for{
  animation: fadeOutRight 1s;
}

.fil{
  animation: fadeInLeft 1s;
}

.fir{
  animation: fadeInRight 1s;
}




/* dash projects */
.projectWindowWrap{
  margin-top: 200px;
  width: 100%;
  display: flex;
  justify-content: center;
}

.projectWindow{
  width: 80%;
}

.category h1{
  color: white;
  width: 100%;
  border-bottom: 1px solid white;
}

.categoryGrid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
  margin: 50px 0px;
}

.reference{
  background-color: var(--main1);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 30px;
  cursor: pointer;
  transition: all .3s;
  border-radius: 10px;
}

.reference img{
  max-width: 150px;
}

.reference h2{
  color: white;
}

.reference:hover{
  filter: drop-shadow(1px 1px 5px white);
}

/* crud */
.crudWrap{
  width: 100%;
  display: flex;
  justify-content: center;
}

.crudTable{
  width: 90%;
  margin-bottom: 100px;
}

.crudTableProducts{
  width: 95%;
  margin-bottom: 100px;
}

.crudHeader{
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid white;
  padding: 10px 0px;
}

.catHeader{
  display: flex;
  align-items: center;
  gap: 10px;
  height: 80px;
  border-bottom: 1px solid white;
  margin-bottom: 80px;
}

.crudHeader h1{
  color: white;
}

.crudHeaderCat h1{
  color: white;
}

.backCatButton{
  width: 100px;
}

.crudButtons{
  width: 25%;
  display: flex;
  justify-content: space-between;
}

.crudBody{
  display: flex;
  flex-direction: column;
}

.crudBodyTable{
  display: flex;
  flex-direction: column;
  margin-top: 50px;
}

.crudBody h3{
  color: white;
  padding: 50px;
  font-size: 25px;
}

.uploadForm, .editForm, .deleteConfirmation, .uploadFormSingle, .editFormSingle, .dataForm{
  background: rgb(0, 0, 0, .5);
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999999;
}

#dataForm form h2{
  margin-bottom: 10px;
}

#dataForm form .tertiaryButton{
  margin-top: 20px;
}

.editForm form span{
  color: white;
  font-size: 18px;
  margin-bottom: 4px;
}

.deleteConfirmation div{
  display: flex;
  flex-direction: column;
  background: var(--main1-dark);
  border-radius: 20px;
  justify-content: center;
  align-items: center;
  padding: 50px;
}

.deleteConfirmation div h1{
  color: white;
}

.deleteConfirmation div div{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.deleteConfirmation .secondaryButton, .deleteConfirmation .tertiaryButton{
  padding: 0;
}

.uploadForm form, .editForm form, .uploadFormSingle form, .editFormSingle form{
  display: flex;
  flex-direction: column;
  background: var(--main1-dark);
  border-radius: 20px;
  justify-content: center;
  align-items: center;
  padding: 50px;
  width: 60%;
}

.uploadForm label, .editForm label, .uploadFormSingle label, .editFormSingle label{
  color: white;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 10px;
}

.uploadForm form h2, .editForm form h2, .uploadFormSingle h2, .editFormSingle h2{
  color: white;
}

.uploadForm form input, .uploadForm form textarea, .editForm form input, .editForm form textarea, .uploadFormSingle form input, .editFormSingle form input{
  margin: 10px 0px;
  color: white;
  background: var(--shallow);
  font-weight: 600;
  border-radius: 20px;
  border: none;
  padding: 10px 20px;
  font-size: 15px;
  width: 100%;
  color: var(--main1-dark);
}

.uploadForm input[type="file"], .editForm input[type="file"], .uploadFormSingle input[type="file"], .editFormSingle input[type="file"]{
  color: white;
}

.editForm .finalPrice{
  margin-bottom: 30px;
  margin-top: 10px;
  font-size: 25px;
}

.infoRow{
  display: flex;
  width: 100%;
  gap: 10px;
}

.infoRow label{
  width: 30%;
}

.radioButtons{
  display: flex;
  justify-content: start;
  width: 100%;
  padding: 10px 0px;
}

.radioButtons input{
  width: auto !important;
  transform: scale(1.5);
  margin: 0px 20px !important;
}

.inputRow{
  display: flex;
  gap: 10px;
  width: 100%;
}

.kulcsosRow, .kulcsosRow2{
  width: 100%;
  display: flex;
}

.kulcsosRow span{
  color: white;
  font-size: 15px;
  min-height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  border: 1px solid white;
  padding: 5px 10px;
}

.kulcsosRow span img{
  max-width: 80px;
  max-height: 60px;
}

.kulcsosRow span a{
  color: white;
  text-decoration: underline;
  transition: all .3s;
}

.kulcsosRow span a:hover{
  color: var(--darken);
}

.kulcsosRow span:nth-child(1){
  width: 5%;
}

.kulcsosRow span:nth-child(2){
  width: 20%;
}

.kulcsosRow span:nth-child(3){
  width: 30%;
  display: flex;
  flex-wrap: wrap;
  overflow: hidden;
}

.kulcsosRow span:nth-child(4){
  width: 30%;
  overflow: hidden;
}

.kulcsosRow span:nth-child(5){
  width: 30%;
}

.kulcsosRow span:nth-child(6){
  width: 30%;
}

.kulcsosRow span:nth-child(7){
  width: 30%;
}

.kulcsosRow span:nth-child(8){
  width: 20%;
}

.kulcsosRow span:nth-child(9){
  width: 20%;
}

.kulcsosRow span:nth-child(10){
  width: 7%;
}

.kulcsosRow span:nth-child(11){
  width: 7%;
}

.kulcsosRow span:nth-child(12){
  width: 7%;
}

.kulcsosRow .material-symbols-outlined{
  cursor: pointer;
  transition: all .3s;
  font-size: 20px;
}

.kulcsosRow .material-symbols-outlined:hover{
  color: var(--darken);
}

.kulcsosMicro{
  width: 90%;
}

.kulcsosMini{
  width: 95%;
}

#deleteData2{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.kulcsosMiniWrapper, .kulcsosMicroWrapper{
  height: 0px;
  overflow: hidden;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.macroInputs{
  display: flex;
  width: 1000px;
  gap: 6px;
}

.macroInputs input{
  margin: 3px 0px !important;
}

.macroInputs select{
  margin: 3px 0px !important;
  width: 40%;
}

.showProductListButton{
  cursor: pointer;
  transition: all .2s;
}

.showProductListButton:hover{
  color: var(--highlight-brighter);
}

.showProductListButton .mainButton{
  height: 35px;
  width: 140px;
}

.orderDataButton .mainButton{
  height: 35px;
  width: 140px;
}

.orderDataButton{
  height: 35px;
  width: 140px;
}

.filterStatus{
  cursor: pointer;
  transition: all .2s;
}

.filterStatus:hover{
  color: var(--highlight-brighter);
}

.itemWrapper{
  padding: 15px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  border-bottom: 2px solid var(--shallow);
}

.itemWrapper h1{
  font-weight: 400;
  color: white;
}

#macroInputsWrap{
  border: 2px solid var(--shallow);
  border-radius: 15px;
  margin: 20px 0px;
  width: 80%;
  max-height: 80vh;
  overflow: scroll;
}

.cartProduct{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
}

.cartProduct img{
  width: 10%;
}

.cartProduct h1{
  font-size: 17px;
}

.cartProduct h2{
  font-size: 25px;
  color: var(--main1);
  transition: all .1s;
  cursor: pointer;
}

.cartProduct h2:hover{
  color: white;
}

.orderInfoRow{
  padding: 2px;
  display: flex;
  justify-content: space-between;
  width: 70%;
  border-bottom: 1px solid var(--shallow);
  margin-bottom: 10px;
}


/* kulcsos 2 */

.kulcsosRow2 span{
  color: white;
  font-size: 13px;
  min-height: 50px;
  display: flex;
  justify-content: center;
  align-items: start;
  flex-direction: column;
  border: 1px solid white;
  padding: 5px 5px;
  word-wrap: break-word;
  word-break: break-word;
}

.kulcsosRow2 span img{
  max-width: 80px;
  max-height: 60px;
}

.kulcsosRow2 span a{
  color: white;
  text-decoration: underline;
  transition: all .3s;
}

.kulcsosRow2 span a:hover{
  color: var(--darken);
}

.kulcsosRow2 span:nth-child(1){
  width: 1%;
}

.kulcsosRow2 span:nth-child(2){
  width: 5%;
}

.kulcsosRow2 span:nth-child(3){
  width: 5%;
}

.kulcsosRow2 span:nth-child(4){
  width: 12%;
}

.kulcsosRow2 span:nth-child(5){
  width: 12%;
}

.kulcsosRow2 span:nth-child(6){
  width: 10%;
  overflow: hidden;
}

.kulcsosRow2 span:nth-child(7){
  width: 5%;
}

.kulcsosRow2 span:nth-child(8){
  width: 7%;
}

.kulcsosRow2 span:nth-child(9){
  width: 7%;
}

.kulcsosRow2 span:nth-child(10){
  width: 7%;
}

.kulcsosRow2 span:nth-child(11){
  width: 4%;
}

.kulcsosRow2 span:nth-child(12){
  width: 4%;
}

.kulcsosRow2 span:nth-child(13){
  width: 7%;
}

.kulcsosRow2 span:nth-child(14){
  width: 7%;
}

.kulcsosRow2 span:nth-child(15){
  width: 3%;
}

.kulcsosRow2 span:nth-child(16){
  width: 2%;
}

.kulcsosRow2 span:nth-child(17){
  width: 2%;
}

.kulcsosRow2 .material-symbols-outlined{
  cursor: pointer;
  transition: all .3s;
  font-size: 20px;
}

.kulcsosRow2 .material-symbols-outlined:hover{
  color: var(--darken);
}


.uploaderMessage{
  width: 100%;
  height: 100%;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.uploaderMessage h1, .uploaderMessage span{
  color: var(--highlight);
  font-size: 40px;
  font-weight: 600;
  text-align: center;
}

.uploaderMessage span{
  animation: loadingRotation 1s infinite;
}

/* login */
.loginWrap{
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 90vh;
}

.loginBox{
  color: white;
  padding: 70px;
  border-radius: 30px;
  background: var(--main1-dark);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.loginBox form{
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.loginBox form label{
  color: white;
}

.loginBox form input{
  border-radius: 30px;
  border: 0px;
  padding: 10px;
}

.failedMessage{
  padding: 300px;
  color: var(--highlight);
}


/* calendar */
.calendar{
  width: 60%;
  display: flex;
  flex-direction: column;
}

.week{
  display: flex;
}

.day, .calendar .dayname{
  width: 14%;
  height: 75px;
  background-color: var(--main1-dark);
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  cursor: pointer;
  transition: all .15s;
}

.day span, .day div, .day input{
  pointer-events: none;
}

.calendar .dayname{
  background-color: var(--sweeten);
  cursor: default;
}

.calendar .monthControl{
  font-size: 22px;
  font-weight: 600;
  cursor: pointer;
  transition: all .15s;
}

.calendar .monthControl:hover{
  box-shadow: inset 1px 1px 15px var(--main1-dark);
}

.calendar #increaseMonth span, .calendar #decreaseMonth span{
  font-size: 40px;
}

.day:hover{
  box-shadow: inset 1px 1px 10px var(--shallow);;
}

.dateControlMenu{
  flex-direction: column;
  position: absolute;
  background: var(--sweeten);
  padding: 20px;
  animation: fadeInTop 1s;
}

.dateControlMenu span{
  font-size: 20px;
  color: var(--shallow);
  transition: all .3s;
  cursor: pointer;
}

.dateControlMenu span:hover{
  text-decoration: underline;
}

#dateControlMenu1{
  margin-top: 70px;
}

#dateControlMenu2{
  margin-left: 110px;
  margin-top: 70px;
}


.calendar .otherMonth{
  filter: contrast(.9);
}

.calendarInfo{
  width: 40%;
  background: var(--main1-dark);
  min-height: 300px;
  transition: all .3s;
}

.calendarInfo div{
  padding: 50px;
  transition: all .3s;
}

.calendarInfo div h1{
  color: var(--shallow);;
  font-size: 25px;
  transition: all .3s;
  padding-bottom: 20px;
}

.calendarInfo div h2{
  color: var(--shallow);;
}

.calendarInfo div .mainButton, .calendarInfo div .secondaryButton{
  height: 50px;
  width: 150px;
  padding: 0;
  margin: 20px 0px 0px 0px;
}

.calendarInfo div p{
  color: var(--shallow);;
  padding: 10px;
  display: flex;
  align-items: center;
  font-weight: 200;
}

.calendarInfo div p span{
  margin-left: 20px;
  font-weight: 600;
}

.calendarInfo div p div{
  padding: 0;
  margin-left: 20px;
}

.status-green, .status-yellow, .status-red{
  height: 7px;
  width: 7px;
  border-radius: 50%;
  background: darkgreen;
}

.status-yellow{
  background: orange;
}

.status-red{
  background: red;
}

/* product categories */
.categoryDropMenu{
  right: 0;
  width: 100%;
  z-index: 9999;
  transition: all .3s;
  display: flex;
  height: 730px;
  justify-content: center;
}

.categoryWrap{
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  padding: 10px 50px;
  transition: all 2s;
  flex: 1;
}

.categoryWrap a{
  color: var(--shallow);
  text-shadow: none;
  font-size: 15px;
  gap: 25px;
}

.categoryWrap a:hover{
  color: var(--main1-light);
  font-size: 15px;
  cursor: pointer;
}

.categoryWrap h3{
  font-weight: 500;
  margin: 10px 0px;
  font-size: 20px;
  color: white;
  transition: all .2s;
}

.categoryWrap h3:hover{
  color: var(--main1-light);
}

.categoryWrap h4, .categoryWrap h5{
  font-weight: 200;
  font-size: 22px;
  color: white;
}

.categoryWrap h4:hover, .categoryWrap h5:hover{
  color: var(--main1-light);
}

.categoryWrap h5{
  text-indent: 20px;
}

.categoryWrap .shortAboutWrap{
  padding: 0;
}

.categoryWrap img{
  border: 1px solid white;
  width: 120px;
  max-height: 75px;
  object-fit: cover;
}

.categoryColumn{
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  max-height: 730px;
}

/* footer */
footer{
  display: flex;
  background: var(--footer-color);
  width: 100%;
  justify-content: space-around;
  padding: 10px 0px;
}

footer img{
  width: 75px;
  transition: all 1s;
  margin: 0px 30px;
}

footer img:hover{
  transform: scale(1.1);
}

.footerLogo{
  display: flex;
  justify-content: center;
  align-items: center;
}

.footerLogo span{
  color: white;
  font-weight: 300;
  font-size: 14px
}

.footerLogo a{
  color: white;
  font-weight: 600;
  transition: all .3s;
}

.footerLogo a:hover{
  color: var(--main-color);
}

.footerNav{
  display: flex;
  justify-content: center;
  align-items: start;
  flex-direction: column;
}

footer .navbar a{
  font-size: 18px;
  font-weight: 400;
  margin: 3px 0px;

}

footer .navbar a:hover{
  font-size: 19px;
}

/* mobile */
.navbar-mobile{
  display: none;
}

#mobileMenuIcon{
  display: none;
}
